Groovy bundles and OSGI R6 Annotations: AEM 6.4

Avatar

Avatar

HN_Doug

Avatar

HN_Doug

HN_Doug

27-02-2019

I am trying to develop a bundle using Groovy. We have tried with Groovy versions 2.4.16 and 2.5.6.

When building using Maven, I get an error when trying to use the annotation @ObjectClassDefinition .

The error says "unexpected token".

The same annotation works without error when using Java 8.

Does anyone know if this can be remedied?

Accepted Solutions (1)

Accepted Solutions (1)

Avatar

Avatar

Gaurav-Behl

MVP

Total Posts

1.1K

Likes

226

Correct Answer

281

Avatar

Gaurav-Behl

MVP

Total Posts

1.1K

Likes

226

Correct Answer

281
Gaurav-Behl
MVP

27-02-2019

aem-groovy-console-12.0.0.zip  @ https://github.com/icfnext/aem-groovy-console/releases  delivers 2.4.13 which is compatible with 6.4

At least groovy console works fine with this version.

Give it a shot.

Answers (0)